SNMPWALK(1)

NAME
snmpwalk - communicates with a network entity using SNMP GET Next Requests.

SYNOPSIS
snmpwalk [common arguments] [-C APPOPTS] [objectID]

DESCRIPTION
Snmpwalk is an SNMP application that uses GET NEXT Requests to query for a tree of information about a network entity.

A variable may also be given on the command line. This variable specifies which portion of the object identifier space will be searched using GET NEXT Requests. All variables in the subtree below the given variable are queried and their values presented to the user. Each variable name is given in the format specified in variables(5).

If the "objectID" argument is not present, snmpwalk will search MIB-2.

For example

snmpwalk zeus public system

will retrieve all of the variables under system:

system.sysDescr.0 = "SunOS zeus.net.cmu.edu 4.1.3_U1 1 sun4m"
system.sysObjectID.0 = OID: enterprises.hp.nm.hpsystem.10.1.1
system.sysUpTime.0 = Timeticks: (155274552) 17 days, 23:19:05
system.sysContact.0 = ""
system.sysName.0 = "zeus.net.cmu.edu"
system.sysLocation.0 = ""
system.sysServices.0 = 72

If the network entity has an error processing the request packet, an error packet will be returned and a message will be shown, helping to pinpoint why the request was malformed.

If the tree search causes attempts to search beyond the end of the MIB, a message will be displayed:

End of MIB.

OPTIONS
In addition to the arguments defined in the snmpcmd(1) manual page, the following options are supported as well:

-Ci Includes the requested oid in the search range. Normally snmpwalk uses getnexts starting with the oid you request and returns all results in the MIB tree below the one you requested. Sometimes, you may wish to include the OID specified on the command line in the printed results if it is a valid OID in the tree itself. This option lets you do this.

-Cp Upon completion, snmpwalk will print the number of variables found during the walk.

-Cc Don't Check whether the returned OID's are increasing. Some agents (LaserJets are an example) returns OID's out of order, but can complete the walk anyway. Other agent's return OIDs that are out of order and can cause snmpwalk to loop infinitely until stopped. By default, snmpwalk tries to detect this behavior and warns you when it hits an agent acting illegally. Use -Cc to turn off this behavior.

SEE ALSO
snmpcmd(1), variables(5).